> ## Documentation Index > Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt > Use this file to discover all available pages before exploring further. # /v1/device/routing/vrf/bgp/route-count > Get BGP VRF route count ## OpenAPI ````json POST /v1/device/routing/vrf/bgp/route-count { "openapi": "3.0.0", "info": { "title": "Graphiant APIs", "version": "1.0.0", "description": "Graphiant API documentation." }, "servers": [ { "url": "https://api.graphiant.com" } ], "security": [ { "jwtAuth": [] } ], "tags": [], "paths": { "/v1/device/routing/vrf/bgp/route-count": { "post": { "security": [ { "jwtAuth": [] } ], "parameters": [ { "in": "header", "name": "Authorization", "required": true, "schema": { "type": "string" }, "description": "Bearer token. Format: Bearer " } ], "requestBody": { "required": true, "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1DeviceRoutingVrfBgpRouteCountPostRequest" } } } }, "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1DeviceRoutingVrfBgpRouteCountPostResponse" } } } } }, "description": "Get BGP VRF route count" } } }, "components": { "schemas": { "v1DeviceRoutingVrfBgpRouteCountPostRequest": { "type": "object", "properties": { "deviceId": { "type": "integer", "format": "int64", "example": 1000000, "description": "Valid configured device ID > 0 (required)" }, "vrfName": { "type": "array", "items": { "type": "string", "example": "management", "description": "Valid configured VRF names (required)" } } }, "additionalProperties": false, "required": [ "deviceId", "vrfName" ] }, "v1DeviceRoutingVrfBgpRouteCountPostResponse": { "type": "object", "properties": { "counts": { "type": "array", "items": { "$ref": "#/components/schemas/v1DeviceRoutingVrfBgpRouteCountPostResponseRouteCount" } } }, "additionalProperties": false }, "v1DeviceRoutingVrfBgpRouteCountPostResponseRouteCount": { "type": "object", "properties": { "routeCount": { "type": "integer", "format": "int64", "example": 1234, "description": "total route count in a vrf (required)" }, "vrfName": { "type": "string", "example": "management", "description": "Valid configured VRF name (required)" } }, "additionalProperties": false } }, "securitySchemes": { "jwtAuth": { "type": "apiKey", "in": "header", "name": "authorization", "description": "Use `Bearer `" } } } } ````